<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <body>

        <ui:composition template="./../WEB-INF/Modelo.xhtml">


            <ui:define name="content">
                <p:fieldset legend="Pesquisa">
                    <p:panelGrid>
                        <p:row>
                            <p:column>
                                Código:
                            </p:column>
                            <p:column colspan="2">
                                <p:inputText value="#{pesquisaAlunoBean.codigo}" style="width: 40px"/>
                            </p:column>
                        </p:row>

                        <p:row>
                            <p:column>
                                Nome:
                            </p:column>
                            <p:column >
                                <p:inputText value="#{pesquisaAlunoBean.nome}" style="width: 200px"/>
                            </p:column>
                            <p:column>
                                <p:commandButton 
                                    value="Pesquisar"
                                    actionListener="#{pesquisaAlunoBean.pesquisa}"
                                    update="tabela,growl"
                                    />
                            </p:column>

                        </p:row>




                    </p:panelGrid>

                </p:fieldset>




                <p:dataTable id="tabela" var="aluno" value="#{pesquisaAlunoBean.lista}">
                    <p:column headerText="Código" style="width: 60px ; text-align: center;">
                        <h:outputText value="#{aluno.id}" />
                    </p:column>
                    <p:column headerText="Nome">
                        <h:outputText value="#{aluno.nome}" />
                    </p:column>
                    <p:column headerText="Endereço">
                        <h:outputText value="#{aluno.enderecoCompleto}" />
                    </p:column>
                    <p:column headerText="E-mail">
                        <h:outputText value="#{aluno.email}" />
                    </p:column>

                    <p:column  style="width: 120px ; text-align: center;">
                        <p:commandLink update="painelEdicao" process="@this"
                                       oncomplete="PF('dialog').show();">
                            <h:graphicImage library="img" 
                                            name="edit.png" 
                                            />
                            <f:setPropertyActionListener 
                                target="#{pesquisaAlunoBean.alunoSelecionado}" 
                                value="#{aluno}" />
                        </p:commandLink>
                        <p:commandLink process="@this" actionListener="#{pesquisaAlunoBean.remover(aluno)}" update="growl,tabela">
                            <h:graphicImage library="img" name="remove.png" />
                            <p:confirm header="Remover Aluno" message="Deseja realmente remover?" icon="ui-icon-alert"  />
                        </p:commandLink>
                    </p:column>


                </p:dataTable>




                <p:dialog header="Edição Aluno" widgetVar="dialog"
                          modal="true" >

                    <h:form prependId="false">

                        <p:fieldset legend="Cadastro Aluno">

                            <p:panelGrid  id="painelEdicao" >

                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="Código:" for="codigo" />
                                    </p:column>
                                    <p:column colspan="8">
                                        <p:inputText id="codigo" value="#{pesquisaAlunoBean.alunoSelecionado.id}" readonly="true" size="2" />
                                    </p:column>

                                </p:row>

                                <p:row>
                                    <p:column >
                                        <p:outputLabel value="Nome:" for="nomeForm" />
                                    </p:column>
                                    <p:column colspan="8">
                                        <p:inputText id="nomeForm" value="#{pesquisaAlunoBean.alunoSelecionado.nome}"  readonly="false" />
                                    </p:column>

                                </p:row>

                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="CPF:" for="cpf" />
                                    </p:column>
                                    <p:column colspan="8">
                                        <p:inputText id="cpf" value="#{pesquisaAlunoBean.alunoSelecionado.cpf}"  />
                                    </p:column>

                                </p:row>

                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="Endereço:" for="endereco" />
                                    </p:column>
                                    <p:column>
                                        <p:inputText id="endereco" value="#{pesquisaAlunoBean.alunoSelecionado.endereco}"  />
                                    </p:column>

                                    <p:column>
                                        <p:outputLabel value="Nº" for="numero" />
                                    </p:column>
                                    <p:column>
                                        <p:inputText id="numero" value="#{pesquisaAlunoBean.alunoSelecionado.numero}"  size="2" />
                                    </p:column>
                                    <p:column>
                                        <p:outputLabel value="Cidade:" for="cidade" />
                                    </p:column>
                                    <p:column>
                                        <p:inputText id="cidade" value="#{pesquisaAlunoBean.alunoSelecionado.cidade}" />
                                    </p:column>
                                    <p:column>
                                        <p:outputLabel value="UF:" for="uf" />
                                    </p:column>
                                    <p:column>
                                        <p:inputText id="uf" value="#{pesquisaAlunoBean.alunoSelecionado.estado}" size="2" />
                                    </p:column>

                                </p:row>

                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="Complemento:" for="complemento" />
                                    </p:column>
                                    <p:column colspan="8">
                                        <p:inputText id="complemento" value="#{pesquisaAlunoBean.alunoSelecionado.complemento}" size="100" />
                                    </p:column>

                                </p:row>









                            </p:panelGrid>




                        </p:fieldset>


                        <p:commandButton value="Salvar"  
                                         actionListener="#{pesquisaAlunoBean.salvar}" 
                                         update="tabela , growl"
                                         oncomplete="PF('dialog').hide();" />


                    </h:form>

                </p:dialog>

                <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                    <p:commandButton value="Sim" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
                    <p:commandButton value="Não" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
                </p:confirmDialog>







            </ui:define>


        </ui:composition>

    </body>
</html>
